Update Dealer
This endpoint allows you to update a dealer’s status, opcode exclusion list and logo URL.
Endpoint
Section titled “Endpoint”https://api.example.com/dealer/update/Request Format
Section titled “Request Format”HTTP Method
Section titled “HTTP Method”POSTContent-Type
Section titled “Content-Type”application/jsonRequest Body
Section titled “Request Body”The request body should be a JSON object with the following fields:
| Paramater | Required | Type | Description |
|---|---|---|---|
| dealer_uuid | True | String | The unique dealer UUID |
| dealer_status | False | Sting | Set dealer active / paused |
| opcode_exclusion | False | String | Comma separated string of opecodes to exclude |
| dealer_logo | False | String | Logo URL |
Making an Authorized POST Request
Section titled “Making an Authorized POST Request”curl -X POST https://api.example.com/dealer/update/ \ -H "Content-Type: application/json" \ -H "X-API-KEY: API_KEY" \ -d '{ "dealer_uuid": "8734-98473-983274", "dealer_status": "paused", "opcode_exclusion": "LOF, Oil Change", "dealer_logo": "https://mysite.com/img/logo.png" }'Response
Section titled “Response”Status Code: 200 OK
{ 'status' => 'success', 'response' => 'Dealer updated successfully'}Status Code: 400 Bad Request
{ 'status' => 'error', 'response' => 'No valid fields provided for update'}Status Code: 500 Failed Request
{ 'status' => 'error', 'response' => 'Update failed'}